Permalink
Browse files

Filter out unexplainable warnings.

  • Loading branch information...
1 parent 661450a commit b47858a5f48db5da989f0513a408cde5cc5bdc58 @myronmarston committed Jul 10, 2012
Showing with 8 additions and 0 deletions.
  1. +8 −0 spec/capture_warnings.rb
View
@@ -14,6 +14,14 @@
vcr_warnings, other_warnings = lines.partition { |line| line.include?(current_dir) }
+ # After upgrading to curb 0.8.1, I started to get a circular require
+ # warning from spec_helper and monkey_patches.rb even though there doesn't
+ # appear to be a circular require going on...
+ vcr_warnings.reject! do |line|
+ line.include?("#{current_dir}/spec/spec_helper.rb") ||
+ line.include?("#{current_dir}/spec/monkey_patches.rb")
+ end
+
# For some weird reason, JRuby is giving me some warnings about
# `@proxy` not being initialized, and putting a vcr file/line number
# in the warning, but it's really happening in excon.

0 comments on commit b47858a

Please sign in to comment.